/**
 * 
 */
package com.oauth.wrap.api.microsoft;

import java.util.regex.Pattern;

import com.oauth.wrap.extractor.AccessTokenExtractorImpl;
import com.oauth.wrap.model.AccessToken;

/**
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 * 
 */
public class MicrosoftAccessTokenExtractor extends AccessTokenExtractorImpl {

    private static final Pattern SKEY_REGEX = Pattern.compile(String.format("%s=([^&]+)", MicrosoftConstant.SKEY));
    private static final Pattern UID_REGEX = Pattern.compile(String.format("%s=([^&]+)", MicrosoftConstant.UID));
    private static final Pattern ERROR_CODE_REGEX = Pattern.compile(String.format("%s=([^&]+)", MicrosoftConstant.ERROR_CODE));

    public AccessToken extract(String response) {

        AccessToken accessToken = super.extract(response);

        accessToken.addExtraParameter(MicrosoftConstant.SKEY, extract(response, SKEY_REGEX));
        accessToken.addExtraParameter(MicrosoftConstant.UID, extract(response, UID_REGEX));
        accessToken.addExtraParameter(MicrosoftConstant.ERROR_CODE, extract(response, ERROR_CODE_REGEX));

        return accessToken;
    }
}
