package com.oauth.wrap.exception;

/**
 * Default scribe exception. Represents a problem in the OAuth signing process
 * 
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 */
public class OAuthWRAPException extends RuntimeException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * Default constructor
     * 
     * @param message
     *            message explaining what went wrong
     * @param e
     *            original exception
     */
    public OAuthWRAPException(String message, Exception e) {
        super(message, e);
    }

    /**
     * No-exception constructor. Used when there is no original exception
     * 
     * @param message
     *            message explaining what went wrong
     */
    public OAuthWRAPException(String message) {
        this(message, null);
    }

}
