/**
 * 
 */
package com.oauth.wrap.exception;

import com.oauth.wrap.model.Request;

/**
 * Specialized exception that represents a missing OAuth WRAP parameter.
 * 
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 */
public class OAuthWRAPMissingParameterException extends OAuthWRAPException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private static final String MSG = "Could not find OAuth WRAP parameters in request: %s.";

    /**
     * Default constructor.
     * 
     * @param request
     *            {@link Request} that caused the error
     */
    public OAuthWRAPMissingParameterException(Request request) {
        super(String.format(MSG, request));
    }
}
