/**
 * 
 */
package com.oauth.wrap.exception;

import com.oauth.wrap.model.Extension;

/**
 * Specialized exception that represents a missing OAuth WRAP parameter.
 * 
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 */
public class OAuthWRAPUnknownExtraParameterException extends OAuthWRAPException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private static final String MSG = "Additional parameter %s doesn't exists in %s object";

    /**
     * Default constructor.
     * 
     * @param name
     * 
     * @param object
     *            {@link Extension} that caused the error
     */
    public OAuthWRAPUnknownExtraParameterException(String name, Extension object) {
        super(String.format(MSG, name, object.getClass()));
    }
}
