/**
 * 
 */
package com.oauth.wrap.extractor;

import com.oauth.wrap.model.AccessToken;

/**
 * Simple command object that extracts a {@link AccessToken} from a String
 * 
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 */
public interface AccessTokenExtractor {
    /**
     * Extracts the access token from the contents of an Http Response
     * 
     * @param response
     *            the contents of the response
     * @return {@link AccessToken} access token
     */
    public AccessToken extract(String response);
}
