/**
 * 
 */
package com.oauth.wrap.model;

/**
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 * 
 */
public class RefreshToken extends Extension {

    /**
     * REQUIRED. The Refresh Token.
     */
    private String refreshToken;

    /**
     * Default constructor
     */
    public RefreshToken() {
        this(null);
    }

    /**
     * 
     * @param refreshToken
     */
    public RefreshToken(String refreshToken) {
        super();
        setRefreshToken(refreshToken);
    }

    /**
     * @return the refreshToken
     */
    public String getRefreshToken() {
        return refreshToken;
    }

    /**
     * @param refreshToken
     */
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    /**
     * Check if refresh token is valid and no error reason was occured
     * 
     * @return boolean
     */
    @Override
    public boolean isValid() {
        return !isErrorReason() && refreshToken != null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "RefreshToken [refreshToken=" + refreshToken + ", errorReason=" + errorReason + ", extraParameters=" + extraParameters + "]";
    }

}
