/**
 * 
 */
package com.oauth.wrap.model;

/**
 * @author Oleksii Karpynskyi <okarpynskyi@gmail.com>
 * 
 */
public class Verifier extends Extension {

    /**
     * REQUIRED. The Verification Code.
     */
    private String code;

    /**
     * REQUIRED if the Client sent the value in the authorization request.
     */
    private String clientState;

    /**
     * Default constructor
     */
    public Verifier() {
        this(null);
    }

    /**
     * @param code
     */
    public Verifier(String code) {
        this(code, null);
    }

    /**
     * @param code
     * @param clientState
     */
    public Verifier(String code, String clientState) {
        super();
        this.code = code;
        this.clientState = clientState;
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code
     * 
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * @return the clientState
     */
    public String getClientState() {
        return clientState;
    }

    /**
     * @param clientState
     * 
     */
    public void setClientState(String clientState) {
        this.clientState = clientState;
    }

    /**
     * Check if verification token is valid and no error reason was occured
     * 
     * @return boolean
     */
    @Override
    public boolean isValid() {
        return !isErrorReason() && code != null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "Verifier [code=" + code + ", clientState=" + clientState + ", errorReason=" + errorReason + ", extraParameters=" + extraParameters + "]";
    }

}
