/**
 * 
 */
package com.oauth.wrap.api.microsoft;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

import com.oauth.wrap.extractor.AccessTokenExtractorTest;
import com.oauth.wrap.model.AccessToken;

/**
 * @author Alex
 * 
 */
public class MicrosoftAccessTokenExtractorTest extends AccessTokenExtractorTest {

    @Before
    public void setup() {
        extractor = new MicrosoftAccessTokenExtractor();
    }

    @Test
    public void shouldRetrieveMicrosoftSpecificParameters() {
        String response = String.format("%s=skey&%s=uid&%s=error_code", MicrosoftConstant.SKEY, MicrosoftConstant.UID, MicrosoftConstant.ERROR_CODE);
        AccessToken accessToken = extractor.extract(response);
        assertEquals("skey", accessToken.getExtraParameter(MicrosoftConstant.SKEY));
        assertEquals("uid", accessToken.getExtraParameter(MicrosoftConstant.UID));
        assertEquals("error_code", accessToken.getExtraParameter(MicrosoftConstant.ERROR_CODE));
    }
}
