/**
 * 
 */
package com.oauth.wrap.model;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

/**
 * @author Alex
 * 
 */
public class ConfigTest {

    Config config;

    @Before
    public void setup() {
        config = new Config();
    }

    @Test
    public void shouldReturnValidConfig() {
        config = new Config("clientId", "clientSecret");
        assertEquals(true, config.isValid());
    }

    @Test
    public void shouldReturnInvalidConfig() {
        assertEquals(false, config.isValid());
    }

    @Test
    public void shouldConstructProperConfig() {
        config = new Config("clientId", "clientSecret");
        assertEquals("clientId", config.getClientId());
        assertEquals("clientSecret", config.getClientSecret());
        assertEquals(true, config.isValid());

        config = new Config("clientId", "clientSecret", "callback", "clientState", "scope");
        assertEquals("clientId", config.getClientId());
        assertEquals("clientSecret", config.getClientSecret());
        assertEquals("callback", config.getCallback());
        assertEquals("clientState", config.getClientState());
        assertEquals("scope", config.getScope());
        assertEquals(true, config.isValid());
    }

    @Test
    public void shouldCorrectlySetGetProperties() {
        config.setClientId("clientId");
        assertEquals("clientId", config.getClientId());

        config.setClientSecret("clientSecret");
        assertEquals("clientSecret", config.getClientSecret());

        config.setCallback("callback");
        assertEquals("callback", config.getCallback());

        config.setClientState("clientState");
        assertEquals("clientState", config.getClientState());

        config.setScope("scope");
        assertEquals("scope", config.getScope());
    }
}
